Bug 736097 - kernel warning on resume from suspend
Summary: kernel warning on resume from suspend
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-06 16:42 UTC by Tim Flink
Modified: 2012-09-04 13:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-04 13:47:24 UTC


Attachments (Terms of Use)
syslog from around time of suspend and resume (22.50 KB, text/plain)
2011-09-07 04:32 UTC, Tim Flink
no flags Details

Description Tim Flink 2011-09-06 16:42:45 UTC
Description of problem:
When resuming from suspend, a kernel crash is detected by ABRT

Version-Release number of selected component (if applicable):
3.1.0-0.rc3.git0.0.fc16.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. boot using liveusb image created from F16 graphics test week liveimage [1]
2. suspend
3. resume

[1] http://adamwill.fedorapeople.org/graphics_test_week_20110905/graphics_test_week-20110905-x64.iso

  
Actual results:
Machine does resume, but kernel crash is detected by abrt


Expected results:
Resume from suspend without crash


SMOLT information:
http://smolts.org/show?uuid=pub_a9ee8add-73fb-48c4-8bc5-51690e06b11b


ABRT Data:

cmdline:        initrd=initrd0.img root=live:UUID=3843-05EF rootfstype=vfat rw liveimg overlay=UUID=3843-05EF quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0
kernel:         undefined
kernel_tainted: 512
kernel_tainted_long: Taint on warning.
reason:         WARNING: at kernel/power/suspend_test.c:53 suspend_test_finish+0x80/0x87()
time:           Tue Sep  6 06:27:47 2011

backtrace:
:WARNING: at kernel/power/suspend_test.c:53 suspend_test_finish+0x80/0x87()
:Hardware name: EP45-DS4P
:Component: resume devices, time: 12481
:Modules linked in: ppdev parport_pc lp parport fuse fcoe libfcoe libfc scsi_transport_fc scsi_tgt 8021q garp stp llc ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack snd_usb_audio snd_usbmidi_lib snd_rawmidi microcode snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm i2c_i801 iTCO_wdt iTCO_vendor_support serio_raw snd_timer r8169 snd mii soundcore snd_page_alloc uinput squashfs vfat fat pata_acpi ata_generic usb_storage pata_it8213 firewire_ohci firewire_core crc_itu_t nouveau ttm drm_kms_helper drm i2c_algo_bit i2c_core mxm_wmi wmi video [last unloaded: scsi_wait_scan]
:Pid: 1725, comm: pm-suspend Not tainted 3.1.0-0.rc3.git0.0.fc16.x86_64 #1
:Call Trace:
: [<ffffffff8105c528>] warn_slowpath_common+0x83/0x9b
: [<ffffffff8105c5e3>] warn_slowpath_fmt+0x46/0x48
: [<ffffffff8109c7b5>] suspend_test_finish+0x80/0x87
: [<ffffffff8109c581>] suspend_devices_and_enter+0x1f8/0x23c
: [<ffffffff8109c6a5>] enter_state+0xe0/0x137
: [<ffffffff8109bbbc>] state_store+0xaf/0xc5
: [<ffffffff81249517>] kobj_attr_store+0x17/0x19
: [<ffffffff811a0971>] sysfs_write_file+0x108/0x144
: [<ffffffff811427de>] vfs_write+0xaf/0xf6
: [<ffffffff81143d59>] ? fget_light+0x3a/0xa2
: [<ffffffff811429d9>] sys_write+0x4d/0x74
: [<ffffffff8150b082>] system_call_fastpath+0x16/0x1b

Comment 1 Josh Boyer 2011-09-06 16:52:21 UTC
That isn't a kernel crash.  It's a warning.

The intention is to "inform" people that their suspend or resume took a somewhat long time.  However, there are two things working against the scenario reported here.  1) it's suspending/resuming from a liveusb stick, 2) all of the various debugging options are still enabled in the kernel.

Was there any other information in dmesg?

Comment 2 Tim Flink 2011-09-07 04:32:27 UTC
Created attachment 521788 [details]
syslog from around time of suspend and resume

Oops, sorry about the crash/warning thing. Changing title to be more accurate.

The only potentially interesting things I'm seeing in messages is the demotion of several pulseaudio threads right after the warning is caught.

I've attached a section of messages starting at suspend and ending when abrt is done capturing the warning dump but I suspect that you're right about the USB + debug just slowing everything down enough to trip warnings.

Comment 3 Dave Jones 2012-03-22 16:56:48 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 4 Dave Jones 2012-03-22 17:00:46 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 5 Dave Jones 2012-03-22 17:12:00 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.


Note You need to log in before you can comment on or make changes to this bug.